      program prog083
c
c     Gravitational Fall Problem with Air Friction
c     subroutines:
c        onestep(x,y,vx,vy,t,dt,ga)
c        force(vx,vy,fx,fy,ga)
c        solvexf(v0,theta,ga,dt,xf,tf)
c        solvey0(x,y,vx,vy,t,ga)
c
      implicit real*8 (a-h,o-z)
c Default Parameters
      dt    = 0.02d0
      a     = 0.1d0
c
      v0    = 20.0d0
      theta = 45.0d0
      gam   = 1.0d0
c
c     write(*,800) "# v0, gam = ?"
c     read(*,*) v0, gam
      v0=20.0d0
      gam=1.0d0
      write(*,800) "# v0, gam = ", v0, gam
 800  format(a, 3(1x,f15.7))
c
      write(*,'(a)') "# theta, xf, tf:"
        ga = gam*a*a
      do i = 1, 89
        theta = dble(i)
        call solvexf(v0,theta,ga,dt,xf,tf)
        write(*,100) theta, xf, tf
      end do
c
 100  format(4(1x,f15.7))
      end
